
<?php
  //foreach($_POST as $key => $value)
  //  Print $key.' - '.$value.'<br>';
  if(count($_POST) == 0)
  {
    $NewPoll = true;
    $VarCount = 2;
  }
  else
  {
    $Question = $_POST['question'];
    $VarCount = $_POST['varcount'];
  }
  $VarCount = (int)$VarCount;
//Обрабытываем массив ПОСТ, извлекаем варианты ответа и действия
  foreach($_POST as $key => $value)
  {
    //Заполняем варианты ответа
    if((strpos($key, 'var') !== false) && ($key != 'varcount'))
      $Variants[]=$value;
    //Помечаем сообщение, которое надо удалить
    elseif((strpos($key, 'DeleteVar') !== false) and (strpos($key, '_x') !== false))
    {
      $DeleteVar = str_replace("DeleteVar", '', $key);
      $DeleteVar = str_replace('_x', '', $DeleteVar);
      $DeleteVar = (int)$DeleteVar;
      $DeleteItem = true;
    }
    elseif((strpos($key, 'UpItem') !== false) and (strpos($key, '_x') !== false))
    {
      $UpItem = str_replace("UpItem", '', $key);
      $UpItem = str_replace('_x', '', $UpItem);
      $UpItem = (int)$UpItem;
      $UpVar = true;
    }
    elseif((strpos($key, 'DownItem') !== false) and (strpos($key, '_x') !== false))
    {
      $DownItem = str_replace("DownItem", '', $key);
      $DownItem = str_replace('_x', '', $DownItem);
      $DownItem = (int)$DownItem;
      $DownVar = true;
    }
  }

//Записываем сообщение в файл
  if(!empty($_POST['AddPoll']))
  {
    //Проверяем ввод пользователя на корректность
    $Question = CorrectInput($Question);
    if($Question =='')
	    $Errors[] = $Err_NoQuestion;
    //Максимальное количество вариантов ответа
    if(count($Variants) > 20)
      $Errors[] = $Err_MaxVarCount;
    else {
      //находим пустые варианты
      for($i = 0; $i < count($Variants); $i++)
	    {
	      $Variants[$i] = CorrectInput($Variants[$i]);
	      if($Variants[$i] == '')
	        $Errors[] = $Err_NoVariation.($i + 1).'</b>';
	    }
    } //else
    if(empty($Errors))
    {
      // Формируем строку для записи в файл
	    // Вопрос заключается в теги [quest][/quest]
	    // Варианты ответа в теги типа [var1][var2]
	    $Str = '[quest]'.$Question."[/quest]\r\n";
	      //Записываем варианты ответа
	    for($i = 0; $i < count($Variants); $i++)
	    {
	      $Str .= "[var{$i}]".$Variants[$i]."[/var{$i}]\n";
	      $Str .= "[var{$i}voted]0[/var{$i}voted]\n";
	    }
      $Time = time();
      $Str .= "[show]1[/show]\n";
	    $Str .= "[protect]ord[/protect]\n";
	    $Str .= "[time]".$Time."[/time]\n";
      $FileName = "../txt/cp".$Time;
	    SaveStringInFile($FileName, $Str, 'w');
	    Refresh('currentpoll');
    } //if(empty($Errors))
  }

//Добавить новый вариант
  elseif(!empty($_POST['AddVar']))
  {
    array_push($Variants, "");
    $VarCount++;
  }

//Удаление вариантов
  elseif($DeleteItem == true)
  {
    for($i = $DeleteVar; $i < count($Variants)-1; $i++)
      $Variants[$i]=$Variants[($i+1)];
    array_pop($Variants);
    $VarCount--;
  }

//Поднимаем выбранный вариант
  elseif($UpVar == true )
  {
    $Tmp = $Variants[($UpItem-1)];
    $Variants[($UpItem-1)] = $Variants[$UpItem];
    $Variants[$UpItem] = $Tmp;
  }

//Опускаем выбранный вариант
  if($DownVar == true )
  {
    $Tmp = $Variants[($DownItem+1)];
    $Variants[($DownItem+1)] = $Variants[$DownItem];
    $Variants[$DownItem] = $Tmp;
  }
print "<h4>{$Heading_NewPoll}</h4>";
print "<form name=PollForm action='' method=post> ";
//Выводим ошибки
if($ShowTips == 'yes')
  ShowTips('newpoll');
ShowErrors($Errors, '100%');
?>

<fieldset  class=GeneralField align=center>
<table class=General border=0 cellspacing=0 cellpadding=0 width=100%>
  <tr>
    <td width=90><? echo $Cpt_Question ?></td>
    <td><input type=text name=question value="<? echo $Question ?>" size=90></td>
  </tr>
</table>
</fieldset>
<fieldset  class=GeneralField align=center>
  <table class=General cellspacing=0 cellpadding=0 width=100% border=0>
  <?
    for($i=0; $i<$VarCount; $i++)
    {
      //if($Variants[$i] != '')
      {
        $EmptyCase = "<td>&nbsp;</td>";
        print "<tr>";
	      print "<td width=90>{$Cpt_Variation} №".($i+1)."</td>";
        //удалить линию
        if((count($Variants)>2) || ($NewPoll === false))
          print "<td width=20><input type=image src='../img/delete.png' name=DeleteVar{$i} alt='{$Alt_DeleteVar}'></td>";
        else print $EmptyCase;
        //вверх
        if($i != 0)
          print "<td width=20><input type=image src='../img/up.png' name=UpItem{$i} alt='{$Alt_Up}'></td>";
        else print $EmptyCase;
        //вниз
        if($i != ($VarCount-1))
          print "<td width=20><input type=image src='../img/down.png' name=DownItem{$i} alt='{$Alt_Down}'></td>";
        else print $EmptyCase;

        print "<td width=20><img src='../img/eraser.gif' alt='{$Alt_Reset}' width=20, height=20 onClick=\"document.PollForm.var{$i}.value=''\"></td>";
        //вариант ответа
        print $EmptyCase;
        print "<td><input type=text name=var{$i} value=\"{$Variants[$i]}\" size=75></td>";
        print "</tr>";
      }
    }
  ?>
  </table>
  <table class=General cellspacing=0 cellpadding=0 width=100% border=0>
  <tr>
    <td><input class=Button type=submit name='AddVar' value='<? echo $Cpt_AddVariation ?>'</td>
    <td><input class=Button type=submit name='AddPoll' value='<? echo $Cpt_CreatePoll ?>'</td>
    <td><input class=Button type=reset value='<? echo $Cpt_Reset ?>'</td>
  </tr>
  </table>
  <hidden name=varcount value=<? echo $VarCount ?>>
  <input type=hidden name=varcount value=<? echo $VarCount ?>>
</fieldset>
</table>

</form>